if (window.FileReader) {
    (function($) {
        //Funcion de carga una vez creado el arbol
        $(function(){

            $("#formPersonas").submit(function() {
    
                var valor=$(this).children("#dialogImagen").val()
                if(valor==""){
                    $("#canvasImagen").removeClass("canvasImagen")
                    $("#canvasImagen").addClass("canvasImagenError")
                    return false;
                }else{
                    return true
                }
            })
            //si hace click en el canvas se ejecuta el input que estara ocul
            $("#canvasImagen").click(function () {
                $("#dialogImagen").val("");
                $("#dialogImagen").trigger('click');
            });
            //even que estaran esperando el drag and drop
            var dropZona = document.getElementById('canvasImagen');
            dropZona.addEventListener('dragover', arrastrar, false);
            dropZona.addEventListener('drop', seleccionArchivo, false);
                    
                    
            //even que esta esperando que  se haya agreado una fo por medio del click
            var seleccionZona=document.getElementById('dialogImagen');
            seleccionZona.addEventListener('change',seleccionArchivo, false);
            
        //altura y ancho canvas
            
        });
  
        //cuando arrastas
        function arrastrar(evt) {
            evt.stopPropagation();
            evt.preventDefault();
            evt.dataTransfer.dropEffect = 'copy'; 
            $('#canvasImagen').addClass("ce_in");

        }
            
        //cuando funcion generica para cuando sueltas o cuando seleccionas un archivo, llama a reducir imagen
        function seleccionArchivo(evt) {
            //detiene cualquier even realizaria
            evt.stopPropagation();
            evt.preventDefault();
            //en files guardo el obje de la imagen tan cuando las seleccionas o la arrastras
            var files = evt.target.files || evt.dataTransfer.files;
            var f = files[0];
            //crear el obje filereader
            var leerArchivo = new FileReader();
                    
            leerArchivo.onload = (function(elArchivo) {
                return function(e) {
                    //creas la variable imgs y declaras el obje imagen
                    var imgs= new Image();
                    //guardo el codigo base 64 en img.src
                    imgs.src=e.target.result;
                    //llama a la funcion reduce y envio la variable imgs
                    reduceimagen(imgs)   
                };
            })(f);
       		
            leerArchivo.readAsDataURL(f);
            $('#canvasImagen').addClass("ce_in");
        }
            
        //se encaga de reducir la imagen a 200x300
        function reduceimagen(imgReducida){
            // carga el contex del canvas

            //var element = document.getElementById('canvasImagen');
            imgReducida.onload = function () {
                wi=null;
                he=null;
                var element = document.getElementById('oculto');
                if (this.width > 400)
                    var wi = 400;
                else if (this.height > 400)
                    var he = 400;
                else {				
                    $('#oculto').attr({
                        width: this.width+'px',
                        height: this.height+'px'
                    });
                }
                if (wi!=null) {
                    $('#oculto').attr({
                        width: wi+'px',
                        height: (this.height/(this.width/wi))+'px'
                    });
                } else if (he!=null){
                    $('#oculto').attr({
                        width: (this.width/(this.height/he))+'px',
                        height: he+'px'
                    });
                }
                var ctx = element.getContext('2d');
	
                // inserta la img en el canvas con las medidas reducidas
                var ancho=element.width;
                var al=element.height;
				
                ctx.clearRect(0,0,ancho,al);//limpia todo el canvas
            
                setTimeout(function(){
                    //ctx.globalAlpha = i/100;
					
					
                    ctx.drawImage(imgReducida,0,0,ancho,al);
                    //var element = document.getElementById('canvasImagen');
                    var element = document.getElementById('oculto');
                    document.getElementById("base").value=element.toDataURL("image/png");
					
                    div=$('<div id="all" style="width:100%;height:100%;background-color: rgba(0,0,0,.2);position: absolute; top:0px; left: 0px; z-index: 999;"><div id="img" style="margin: 10% auto; width:'+ancho+'px;"><img src="'+document.getElementById("base").value+'" alt="imagen" id="target" /><form onsubmit="return checkCoords();">			<input type="hidden" id="x" name="x" /><input type="hidden" id="y" name="y" /><input type="hidden" id="w" name="w" /><input type="hidden" id="h" name="h" /><button type="submit" class="m-btn green"><i class="big-check"></i></button><button type="reset" class="m-btn red"><i class="big-cancel"></i></button><input type="hidden" name="crop_img" id="crop_img" ></form></div></div><script language="Javascript">jQuery(function($){$("#target").Jcrop({onSelect: updateCoords,aspectRatio: 3 / 4});});</script>');
                    $('body').css("overflow", "hidden").append(div);
                    $('.m-btn.red').click(function () {
                        $('#all').remove();
                        $('body').removeAttr('style');
                    });
                    document.getElementById("crop_img").value=document.getElementById("base").value;
                },100)
            };
        }
    }) (jQuery); //la funcin
} else {
    $('canvasImagen').html("El navegador no soporta vista previa");
}
function updateCoords(c){
    $('#x').val(c.x);
    $('#y').val(c.y);
    $('#w').val(c.w);
    $('#h').val(c.h);
};
function checkCoords(){
    if (parseInt($('#w').val())){
        event.preventDefault();
        var element = document.getElementById('canvasImagen');
        var ctx = element.getContext('2d');
        ancho=element.width;
        al=element.height;
        ctx.clearRect(0,0,ancho,al);//limpia todo el canvas
        var image = new Image();
        image.src = document.getElementById("base").value;
        image.onload = function() {
            ctx.drawImage(image,$('#x').val(),$('#y').val(),$('#w').val(),$('#h').val(),0,0,ancho,al);
            $('#all').remove();
            $('body').removeAttr('style');
            var element = document.getElementById('canvasImagen');
            document.getElementById("base").value=element.toDataURL("image/png");
        };
    } else {
        alert('Please select a crop region then press submit.');
        return false;
    }
};
/*$(function(){
	$('.del').click(function () {
		$.get()
	});
});*/