<?php
session_start();
header('Cache-control: private'); // IE 6 FIX

if(isSet($_GET['lang'])){
	$lang = $_GET['lang'];
	
	// register the session and set the cookie
	$_SESSION['lan'] = $lang;
	
	setcookie('lan', $lang, time() + (3600 * 24 * 30));
} else if (isSet($_SESSION['lan'])) {
	$lang = $_SESSION['lan'];
} else if(isSet($_COOKIE['lan'])) {
	$lang = $_COOKIE['lan'];
} else {
	$lang = 'es';
}

switch ($lang) {
  case 'en':
  $lang_file = 'lang.en.php';
  break;

  case 'cat':
  $lang_file = 'lang.cat.php';
  break;

  case 'es':
  $lang_file = 'lang.es.php';
  break;

  default:
  $lang_file = 'lang.es.php';

}
include_once 'lang/'.$lang_file;
$_SESSION['lang']=$lang;
?>