<?php

require_once "ModelPDO.php";
// Clases
require_once 'persona.class.php';
require_once 'orla.class.php';
require_once 'usuario.class.php';
require_once 'lang/common.php'; // lenguage

class Controlador extends ModelPDO {

    function __construct() {


//		session_destroy();
        if (isset($_SESSION['usuario'])) {
            if (isset($_GET['p'])) {
                switch ($_GET['p']) {
                    case 'curso':
                        $this->addOrla($_POST['curso'], $_POST['formato'], $_POST['titulacion'], $_POST['background'], $_SESSION['id']);
                        $this->vistaTemplate(0);
                        break;
                    case 'pers':
                        $this->addPersonas($_POST['nombre'], $_POST['img'], $_POST['apellido1'], $_POST['apellido2'], $_POST['tipo'], $_POST['id_orla']);
                        Header("Location:index.php?id={$_POST['id_orla']}");
                        break;
                    case 'tmp':
                        $this->vistaTemplate(4);
                        break;
                    case 'exit':
                        session_destroy();
                        $this->vistaTemplate(0);
                        break;
                    default :
                        $this->vistaTemplate(1);
                }
            } else {
                if (isset($_GET['mod'])) {
                    $this->modOrla($_POST['curso'], $_POST['formato'], $_POST['titulacion'], $_POST['background'], $_GET['mod']);
                    $this->vistaTemplate(0);
                }
                if (isset($_GET['del'])) {
                    $this->borrarCurso($_GET['del']);
                    $this->vistaTemplate(0);
                }
                if (isset($_GET['delp'])) {
                    $this->borrarPersona($_GET['delp']);
                    Header("Location:index.php?id={$_GET['id']}");
                }
                if (isset($_POST['saveCurs'])) {
                    $this->guardarPos($_POST['saveCurs'], $_POST['x'], $_POST['y']);
                }
				if (isset($_POST['crop_img'])) {
                    $this->crop($_POST['crop_img'], $_POST['x'], $_POST['y'], $_POST['w'], $_POST['h']);
                }
                if (isset($_GET['id'])) {
                    $this->vistaTemplate(3);
                } else {
                    $this->vistaTemplate(1);
                }
            }
            
        } else { // Si no existe la session usuario
            if (isset($_POST['reg_login'])) { // Registrar
                $this->registrarUsuario($_POST['reg_login'], $_POST['reg_password']); // Registro al usuario
                $this->vistaTemplate(2); // Muestro formulario para logearse
            } else if (isset($_POST['login'])) { // Logear
                if ($usuario = $this->Logear($_POST['login'], $_POST['password'])) {
                    $_SESSION['usuario'] = $usuario->getLogin();
                    $_SESSION['id'] = $usuario->getId();
                    $this->vistaTemplate(1);
                } else { // Si no entra 
                    $this->vistaTemplate(2);
                }
            } // Si no hace nada
            else {
                $this->vistaTemplate(2);
            }
        }
    }

    function registrarUsuario($login, $password) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("INSERT INTO usuarios (login, password) VALUES('{$login}','{$password}');");
        $query->execute();
    }

    function Logear($login, $password) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("SELECT * FROM usuarios WHERE login='{$login}' AND password='{$password}'");
        $query->execute();
        $oUSer = $query->fetchObject("usuario");
        return $oUSer;
    }

    // Aadir orla
    public function addOrla($curso, $formato, $titulacion, $background, $id_usuario) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("INSERT INTO orlas (curso, formato, titulacion, background, id_usuario) VALUES ('{$curso}','{$formato}','{$titulacion}','{$background}','{$id_usuario}')");
        $query->execute();
    }

    // Aadir personas
    public function addPersonas($nombres, $fotos, $ape, $ape2, $tipo, $id) {
        $oDB = $this->getDBO();
			$img = imagecreatefromstring($this->base64ToImage($_POST['img']));
			if($img != false){
				$nomImagen="upload/".rand(0, 10000)."-".$_POST['nombre']."-".rand(0, 10000).".jpg";
			   imagejpeg($img, $nomImagen);
			}
            $query = $oDB->prepare("INSERT INTO personas (nom, apellido1, apellido2, tipo, url, id_orla) VALUES ('{$nombres}','{$ape}','{$ape2}','{$tipo}','{$nomImagen}','{$id}')");
            $query->execute();
    }
	public function base64ToImage($blob) {
        $parts = explode(',', $blob);
        $blob = end($parts);
        $blob = base64_decode($blob);
        // Validaciones de seguridad 
        return $blob;
    }
    //Modificar 
    public function modPersonas($nombre, $fotos, $ape, $ape2, $tipo, $id) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("UPDATE personas SET nom='{$nombre}', apellido1='{$ape}', apellido2='{$ape2}', tipo='{$tipo}', url='{$fotos}' WHERE id='{$id}'");
        $query->execute();
    }

    public function modOrla($curso, $formato, $titulacion, $background, $id) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("UPDATE orlas SET curso='{$curso}', formato='{$formato}', titulacion='{$titulacion}', background='{$background}' WHERE id='{$id}'");
        $query->execute();
    }

    // Borrar curso
    function borrarCurso($del) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("DELETE FROM orlas WHERE id={$del}");
        $query->execute();
    }

    function borrarPersona($delp) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("DELETE FROM personas WHERE id={$delp}");
        $query->execute();
    }

    // Guardar posiciones
    function guardarPos($curso, array $x, array $y) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("SELECT * FROM personas WHERE id_orla={$curso}");
        $query->execute();
        foreach ($query as $a => $row) {
            $query = $oDB->query("UPDATE personas SET pos_x={$x[$a]}, pos_y={$y[$a]} WHERE id={$row['id']}");
        }
    }
	public function crop($img,$x,$y,$w,$h) {
		$targ_w = $targ_h = 150;
		$jpeg_quality = 90;
		
		$img_r  = imagecreatefromstring($this->base64ToImage($img));;
		//$img_r = imagecreatefromjpeg($src);
		$dst_r = ImageCreateTrueColor( $targ_w, $targ_h );
	
		imagecopyresampled($dst_r,$img_r,0,0,$x,$y,
		$targ_w,$targ_h,$w,$h);
	
		header('Content-type: image/jpeg');
		imagejpeg($dst_r,null,$jpeg_quality);
	
		exit;	
	}
    //Lista orlas de un usuario
    public function listaOrlas() {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("SELECT * FROM orlas where id_usuario ='{$_SESSION['id']}'");
        $query->execute();
        $orlas = $query->fetchAll(PDO::FETCH_CLASS, "orla");
        return $orlas;
    }

    //Lista las personas de una orla
    public function listaPersonas($id) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("SELECT * FROM personas where id_orla ='{$id}'");
        $query->execute();
        $personas = $query->fetchAll(PDO::FETCH_CLASS, "persona");
        return $personas;
    }

    //Devuelve los datos de la orla seleccionada
    public function selectOrla($id) {
        $oDB = $this->getDBO();
        $query = $oDB->prepare("SELECT * FROM orlas where id ='{$id}'");
        $query->execute();
        $orla = $query->fetchObject("orla");
        return $orla;
    }

    //
    // Pintar
    public function vistaTemplate($opc) {
        $lang = $_SESSION['lang'];
		if (isset($_SESSION['usuario'])) $user = $_SESSION['usuario'];
        switch ($opc) {
            case 0:
                header('Location: index.php');
                break;
            case 1:
                $cursos = $this->listaOrlas();
                include 'tmp_html/formCurso.php';
                break;
            case 2:
                include 'tmp_html/login.php';
                break;
            case 3:
                $curso = $this->selectOrla($_GET['id']);
                $personas = $this->listaPersonas($_GET['id']);
                include 'tmp_html/formPersonas.php';
                break;
            case 4:
                $Orla = $this->selectOrla($_GET['tid']);
                $personas = $this->listaPersonas($_GET['tid']);
                include 'template/template.php';
                break;
        }
    }

}

?>