<?php include 'header.php'; ?>
<div id="frame">
    <div id="page-header"><!--- Header --->
        <?php echo ucfirst(strtolower($user)); ?> -<a href="index.php?p=exit"><?php echo $lang['EXIT']; ?></a>
    </div>
    <div id="page-content"><!--- Content --->
        <div id="content-logo"><!--- Logo --->
            <img src="img/logo.png" alt="Orles.cat" title="Orles.cat" id="logo">
        </div>
        <div id="nav">
            <?php echo $lang['HOME'] . " &raquo; <a href='index.php' title='" . $lang['ORLA'] . "'>" . $lang['ORLA'] . "</a> &raquo; " . $lang['PEOPLE']; ?>
        </div>    
        <div id="landing-page-columns">
            <div id="landing-column-left">
                <?php if ($personas) : ?>
                    <table id="personas">
                        <?php foreach ($personas as $i => $persona) : ?>
                            <tr><td><a class="curso" href="#"><?php echo $personas[$i]->getNom() . ' ' . $personas[$i]->getApellido1(); ?> <i class="icon-pencil icon-white-only" title="<?php echo $lang['EDIT'] ?>"></i></a></td><td class="hidden"><a class="m-btn mini red delp" title="Borrar" rel="<?php echo $personas[$i]->getId() ?>" rev="<?php echo $curso->getId() ?>"><i class="icon-trash icon-white"></i> Borrar</a></td></tr>
                        <?php endforeach; ?>
                        <?php if ($personas) : ?>
                            <tr>
                                <td colspan="2"><a class="m-btn blue" id="show" title="Mostrar orla" href="index.php?p=tmp&tid=<?php echo $curso->getId() ?>">Mostrar orla</a></td>
                            </tr>
                        <?php endif; ?>
                    </table>

                <?php endif; ?>

            </div>
            <div id="landing-column-center"></div><!--- linea --->
            <div id="landing-column-right">
                <canvas id="oculto" style="display: none"></canvas>
                <canvas id="canvasImagen" class="ce_n canvasImagen" width="200" height="268" title="<?php echo $lang['DRAG_IMAGE'] ?>"></canvas>
                <form id="formPersonas" method="post" action="index.php?p=pers" enctype="multipart/form-data">

                    <input type="hidden" name="id_orla" value="<?php echo $curso->getId(); ?>">
                    <input type="text" name="nombre" class="m-wrap m-bot" placeholder="<?php echo $lang['NAME']; ?>" required /><br />
                    <input type="text" name="apellido1" class="m-wrap m-bot" placeholder="<?php echo $lang['1COGNAME']; ?>" required ><br />
                    <input type="text" name="apellido2" class="m-wrap m-bot" placeholder="<?php echo $lang['2COGNAME']; ?>"><br />
                    <select name="tipo" class="input-control m-bot">
                        <option value="Alumno"><?php echo $lang['STUDENT']; ?></option>
                        <option value="Profesor"><?php echo $lang['PROFESOR']; ?></option>
                    </select>
                    <input type="file" name="imagen" id="dialogImagen" >
                    <input type="hidden" name="img" id="base">
                    <button class="m-btn green black-stripe" type="submit" ><i class="icon-share-alt icon-white"></i> <?php echo $lang['ADD']; ?></button>
                </form>
            </div>
            <br class="both">
        </div>
    </div>
    <?php include 'footer.php'; ?>